import { defHttp } from '@/utils/http/axios';

enum Api {
  LoadBiddingInfo = '/api/BiddingInfo/LoadBiddingInfo',
  AddBiddingInfo = '/api/BiddingInfo/AddBiddingInfo',
  EditBiddingInfo = '/api/BiddingInfo/EditBiddingInfo',
  DeleteBiddingInfo = '/api/BiddingInfo/DeleteBiddingInfo',
}

export function LoadBiddingInfo(params) {
  return defHttp.get({
    url: Api.LoadBiddingInfo,
    params,
  });
}
export function AddBiddingInfo(params) {
  return defHttp.post({
    url: Api.AddBiddingInfo,
    params,
  });
}
export function EditBiddingInfo(params) {
  return defHttp.post({
    url: Api.EditBiddingInfo,
    params,
  });
}
export function DeleteBiddingInfo(id) {
  return defHttp.post({
    url: `${Api.DeleteBiddingInfo}?id=${id}`,
  });
}